Hooks:PostHook( WeaponFactoryTweakData, "init", "code", function(self)

local list_of_adding_parts = { "wpn_fps_upg_ns_pis_large", "wpn_fps_upg_ns_pis_medium_gem", "wpn_fps_upg_ns_pis_medium", "wpn_fps_upg_ns_pis_small", "wpn_fps_upg_ns_pis_large_kac", "wpn_fps_upg_ns_pis_medium_slim", "wpn_fps_upg_ns_ass_filter", "wpn_fps_upg_ns_pis_jungle" }
local target_weapons = { "wpn_fps_smg_mp5", "wpn_fps_smg_tec9", "wpn_fps_smg_thompson", "wpn_fps_smg_mp9", "wpn_fps_smg_scorpion", "wpn_fps_smg_sr2", "wpn_fps_smg_schakal", "wpn_fps_smg_cobray", "wpn_fps_smg_p90", "wpn_fps_smg_polymer", "wpn_fps_smg_mac10", "wpn_fps_smg_baka", "wpn_fps_smg_erma", "wpn_fps_smg_sterling", "wpn_fps_smg_mp7", "wpn_fps_smg_m45", "wpn_fps_smg_coal", "wpn_fps_smg_uzi", "wpn_fps_smg_shepheard", "wpn_fps_smg_vityaz", "wpn_fps_smg_x_mp5", "wpn_fps_smg_x_tec9", "wpn_fps_smg_x_thompson", "wpn_fps_smg_x_mp9", "wpn_fps_smg_x_scorpion", "wpn_fps_smg_x_sr2", "wpn_fps_smg_x_schakal", "wpn_fps_smg_x_cobray", "wpn_fps_smg_x_p90", "wpn_fps_smg_x_polymer", "wpn_fps_smg_x_mac10", "wpn_fps_smg_x_baka", "wpn_fps_smg_x_erma", "wpn_fps_smg_x_sterling", "wpn_fps_smg_x_mp7", "wpn_fps_smg_x_m45", "wpn_fps_smg_x_coal", "wpn_fps_smg_x_uzi", "wpn_fps_smg_x_shepheard", "wpn_fps_smg_x_vityaz", "wpn_fps_ass_sub2000" }

for _, part_id in ipairs(list_of_adding_parts) do
    for _, id in ipairs(target_weapons) do
		
		local weapon = self[id]
		if weapon then
			weapon.uses_parts = weapon.uses_parts or {}
			table.insert(weapon.uses_parts, part_id)
			
			weapon.override = weapon.override or {}
			weapon.override[part_id] = { parent = "barrel" }
		end
    end
end

--PM9
    table.insert(self.wpn_fps_smg_pm9.uses_parts, "wpn_fps_upg_ns_pis_medium_gem")
    table.insert(self.wpn_fps_smg_pm9.uses_parts, "wpn_fps_upg_ns_pis_medium")
    table.insert(self.wpn_fps_smg_pm9.uses_parts, "wpn_fps_upg_ns_pis_small")
    table.insert(self.wpn_fps_smg_pm9.uses_parts, "wpn_fps_upg_ns_pis_large_kac")
    table.insert(self.wpn_fps_smg_pm9.uses_parts, "wpn_fps_upg_ns_pis_medium_slim")
    table.insert(self.wpn_fps_smg_pm9.uses_parts, "wpn_fps_upg_ns_pis_jungle")
    self.wpn_fps_smg_pm9.override = {
            wpn_fps_upg_ns_pis_medium_gem = { parent = "barrel" },
            wpn_fps_upg_ns_pis_medium = { parent = "barrel" },
            wpn_fps_upg_ns_pis_small = { parent = "barrel" },
            wpn_fps_upg_ns_pis_large_kac = { parent = "barrel" },
            wpn_fps_upg_ns_pis_medium_slim = { parent = "barrel" },
            wpn_fps_upg_ns_pis_jungle = { parent = "barrel" }
        }

--PM9 Akimbo
    table.insert(self.wpn_fps_smg_x_pm9.uses_parts, "wpn_fps_upg_ns_pis_medium_gem")
    table.insert(self.wpn_fps_smg_x_pm9.uses_parts, "wpn_fps_upg_ns_pis_medium")
    table.insert(self.wpn_fps_smg_x_pm9.uses_parts, "wpn_fps_upg_ns_pis_small")
    table.insert(self.wpn_fps_smg_x_pm9.uses_parts, "wpn_fps_upg_ns_pis_large_kac")
    table.insert(self.wpn_fps_smg_x_pm9.uses_parts, "wpn_fps_upg_ns_pis_medium_slim")
    table.insert(self.wpn_fps_smg_x_pm9.uses_parts, "wpn_fps_upg_ns_pis_jungle")
    self.wpn_fps_smg_x_pm9.override = {
            wpn_fps_upg_ns_pis_medium_gem = { parent = "barrel" },
            wpn_fps_upg_ns_pis_medium = { parent = "barrel" },
            wpn_fps_upg_ns_pis_small = { parent = "barrel" },
            wpn_fps_upg_ns_pis_large_kac = { parent = "barrel" },
            wpn_fps_upg_ns_pis_medium_slim = { parent = "barrel" },
            wpn_fps_upg_ns_pis_jungle = { parent = "barrel" }
        }

--FMG9
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_pis_large")
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_pis_medium_gem")
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_pis_medium")
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_pis_small")
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_pis_large_kac")
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_pis_medium_slim")
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_ass_filter")
    table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_ns_pis_jungle")
    self.wpn_fps_smg_fmg9.override = {
            wpn_fps_upg_ns_pis_large = { parent = "reciever" },
            wpn_fps_upg_ns_pis_medium_gem = { parent = "reciever" },
            wpn_fps_upg_ns_pis_medium = { parent = "reciever" },
            wpn_fps_upg_ns_pis_small = { parent = "reciever" },
            wpn_fps_upg_ns_pis_large_kac = { parent = "reciever" },
            wpn_fps_upg_ns_pis_medium_slim = { parent = "reciever" },
            wpn_fps_upg_ns_ass_filter = { parent = "reciever" },
            wpn_fps_upg_ns_pis_jungle = { parent = "reciever" }
        }

end )